<?php

namespace App\Controllers;
use App\Controllers\BaseController;


class Js_loader extends BaseController
{

    function __construct()
    {

    }



    function comparadorPresupuestoAdmin_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/admin/comparador.js');

    }

    function translate_js($translationFile)
    {
        $this->response->setHeader('Content-Type', 'text/javascript');

        $locale = service('request')->getLocale();
        $path = "Language/{$locale}/$translationFile.php";
        $lang =  require APPPATH.$path;

        return view('themes/_commonPartialsBs/translate.js', ['array_php' => $lang, 'var_name' => $translationFile]);

    }

    function previsualizador_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/admin/previews.js');
    }

    function lineasPresupuesto_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/admin/_lineasPresupuestoItems.js');
    }

    function tiradasAlternativas_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/admin/_tiradasAlternativasItems.js');
    }

    function datosServicios_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/admin/_datosServiciosItems.js');
    }

    function datosEnvios_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/admin/_datosEnvios.js');
    }

    function resumenPresupuestos_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/admin/_resumenPresupuestos.js');
    }

    function presupuestos_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/admin/_presupuestos.js');
    }

    function presupuestoCliente_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/cliente/presupuestoCliente.js');
    }

    function presupuestoClienteTipoLibro_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/cliente/tipoLibroItems.js');
    }

    function presupuestoClienteDisenioLibro_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/cliente/disenioLibro.js');
    }

    function presupuestoClienteDirecciones_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/cliente/direcciones.js');
    }

    function presupuestoClienteResumen_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/cliente/resumen.js');
    }

    function presupuestoClientePreview_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/presupuestos/cliente/previews.js');
    }

    function chat_js()
    {
        $this->response->setHeader('Content-Type', 'text/javascript');
        return view('themes/vuexy/form/mensajes/mensajeria.js');
    }


}
 